Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# iterator_add_deref Struct Template Reference
[dereference_iterator_adaptor]

`#include <pixel_iterator_adaptor.hpp>`

List of all members.

## Detailed Description

### template<typename Iterator, typename Deref>
struct boost::gil::iterator_add_deref< Iterator, Deref >

Returns the type (and creates an instance) of an iterator that invokes the given dereference adaptor upon dereferencing.

## Public Types

typedef dereference_iterator_adaptor < Iterator, Deref > | type

## Static Public Member Functions

static type | make (const Iterator &it, const Deref &d)

The documentation for this struct was generated from the following file:

- pixel_iterator_adaptor.hpp